--
-- $Id$
--
-- Customer specific once-script BLCC#55498.SQL.

DEFINE thisfile = 'BLCC#56934_2.SQL'
DEFINE dbuser   = '^BLCC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------


DECLARE

CURSOR c
IS
   SELECT prs_perslid_key
     FROM prs_perslid
    WHERE TO_CHAR (prs_perslid_aanmaak, 'yyyymmdd hh24:mi') = '20190313 15:26';

BEGIN
   FOR rec in c
   LOOP
      PRS.setpassword(rec.prs_perslid_key, 'DitRaadJeNooit');
      UPDATE prs_perslid
         SET prs_perslid_wachtwoord_exp = NULL
       WHERE prs_perslid_key = rec.prs_perslid_key;
   END LOOP;
END;
/


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
